qqnorm {stats} | R Documentation

## Quantile-Quantile Plots

### Description

`qqnorm` is a generic functions the default method of which produces a normal QQ plot of the values in `y`. `qqline` adds a line to a normal quantile-quantile plot which passes through the first and third quartiles.

`qqplot` produces a QQ plot of two datasets.

Graphical parameters may be given as arguments to `qqnorm`, `qqplot` and `qqline`.

### Usage

    qqnorm(y, ...)
    ## Default S3 method:
    qqnorm(y, ylim, main = "Normal Q-Q Plot",
           xlab = "Theoretical Quantiles",
           ylab = "Sample Quantiles", plot.it = TRUE, datax = FALSE,
           ...)
    qqline(y, datax = FALSE, ...)
    qqplot(x, y, plot.it = TRUE, xlab = deparse(substitute(x)),
           ylab = deparse(substitute(y)), ...)

### Arguments

`x` | The first sample for `qqplot`.
`y` | The second or only data sample.
`xlab, ylab, main` | plot labels.
`plot.it` | logical. Should the result be plotted?
`datax` | logical. Should data values be on the x-axis?
`ylim, ...` | graphical parameters.

### Value

For `qqnorm` and `qqplot`, a list with components

`x` | The x coordinates of the points that were/would be plotted
`y` | The original `y` vector, i.e., the corresponding y coordinates including `NA`s.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`ppoints`.

### Examples

    y <- rt(200, df = 5)
    qqnorm(y); qqline(y, col = 2)
    qqplot(y, rt(300, df = 5))
    data(precip)
    qqnorm(precip, ylab = "Precipitation [in/yr] for 70 US cities")

[Package Contents]